function [STRES_TEMP_BIN,STRES_TEMP_FUZZY,RELAX_TEMP_BIN,...
          RELAX_TEMP_FUZZY,STRES_TEMP_BIN_FYZ,...
          STRES_TEMP_FUZZY_FYZ,STRES_TEMP_BIN_PSY,STRES_TEMP_FUZZY_PSY]=...
          detekce_TEMP_svm (TEMP_C_means);
%% shluk V3 validne detekuje stres

STRES_TEMP_BIN=[];
STRES_TEMP_FUZZY=[];
RELAX_TEMP_BIN=[];
RELAX_TEMP_FUZZY=[];

for i=1:1:size(TEMP_C_means,2);
if TEMP_C_means(3,i)>=TEMP_C_means(1,i) || TEMP_C_means(2,i)>=TEMP_C_means(1,i)
   STRES_TEMP_BIN(i)=1;
   STRES_TEMP_FUZZY(i)=TEMP_C_means(3,i)+TEMP_C_means(2,i);
   
else STRES_TEMP_BIN(i)=0;
    STRES_TEMP_FUZZY(i)=0;
end

if TEMP_C_means(3,i)>=TEMP_C_means(1,i) && TEMP_C_means(3,i)>=TEMP_C_means(2,i)
   STRES_TEMP_BIN_FYZ(i)=1;
   STRES_TEMP_FUZZY_FYZ(i)=TEMP_C_means(3,i);
   
else STRES_TEMP_BIN_FYZ(i)=0;
    STRES_TEMP_FUZZY_FYZ(i)=0;
end

if TEMP_C_means(2,i)>=TEMP_C_means(3,i) && TEMP_C_means(2,i)>=TEMP_C_means(1,i)
   STRES_TEMP_BIN_PSY(i)=1;
   STRES_TEMP_FUZZY_PSY(i)=TEMP_C_means(2,i);
   
else STRES_TEMP_BIN_PSY(i)=0;
    STRES_TEMP_FUZZY_PSY(i)=0;
end

if TEMP_C_means(1,i)>=TEMP_C_means(2,i) && TEMP_C_means(1,i)>=TEMP_C_means(3,i);
   RELAX_TEMP_BIN(i)=1;
   RELAX_TEMP_FUZZY(i)=TEMP_C_means(1,i);
   
else RELAX_TEMP_BIN(i)=0; 
    RELAX_TEMP_FUZZY(i)=0;
end

end


end